def bfs10453(bfs10452):
  bfs10451 = {}
  for (key, values) in bfs10452.items():
    for value in values:
      if (value not in bfs10451):
        bfs10451[value] = set()

      bfs10451[value].add(key)


  return bfs10451

